## ocaml-iter 1.8

=== debian/changelog ===
ocaml-iter (1.8-2) unstable; urgency=medium

  * Enable autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 21 Oct 2024 10:09:21 +0100

ocaml-iter (1.8-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Oct 2024 14:03:53 +0100
