=== debian/changelog ===
ocaml-iter (1.9-2) unstable; urgency=medium

  * Team upload
  * Fix tests on 32-bit architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 14 Sep 2025 09:35:25 +0200

ocaml-iter (1.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Feb 2025 07:58:43 +0100
