=== debian/control ===
Source: ocaml-iter
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune (>= 2.8.0),
               dh-ocaml (>= 1.2.2),
               libounit-ocaml-dev,
               libmdx-ocaml-dev,
               libqcheck-core-ocaml-dev,
               ocaml
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-multicore/iter
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-iter
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-iter.git

Package: libiter-ocaml-dev
Architecture: any
Depends: ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: clean and efficient loop fusion -- development files
 A simple abstraction over iter functions intended to
 iterate efficiently on collections while performing some
 transformations. Common operations supported by this
 package include filter, map, take, drop, append, and
 flat_map.
 .
 It aims at providing a very simple and efficient way of
 iterating on a finite number of values, only allocating one
 intermediate closure to do so.
