=== debian/tests/control ===
Tests: upstream
Depends: @, ocaml-dune, libounit-ocaml-dev, libmdx-ocaml, libqcheck-core-ocaml-dev
Restrictions: allow-stderr
