=== debian/watch ===
version=4
opts="searchmode=plain, \
    filenamemangle=s/.+\/iter-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.bz2/" \
https://api.github.com/repos/c-cube/iter/releases?per_page=100 \
https://github.com/c-cube/iter/releases/download/v\d[\.\d]*/iter-@ANY_VERSION@@ARCHIVE_EXT@
